<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" prefix="ls" section="in-link:paid_listings" title_preset="listing_list" pagination="1" tabs="in-link/paid_listings/paid_listing_types_tabs"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  	<td>
  		<script type="text/javascript">
				a_toolbar = new ToolBar();

				a_toolbar.AddButton( new ToolBarButton('new_item', '<inp2:m_phrase label="la_ToolTip_NewPaidListing" escape="1"/>::<inp2:m_phrase label="la_ToolTip_Add" escape="1"/>',
						function() {
							std_precreate_item('ls', 'in-link/paid_listings/paid_listing_edit')
						} ) );

				function edit()
				{
				  	std_edit_item('ls', 'in-link/paid_listings/paid_listing_edit');
				}

				a_toolbar.AddButton( new ToolBarButton('edit', '<inp2:m_phrase label="la_ToolTip_Edit" escape="1"/>', edit) );

				a_toolbar.AddButton( new ToolBarButton('delete', '<inp2:m_phrase label="la_ToolTip_Delete" escape="1"/>',
						function() {
							std_delete_items('ls')
						} ) );

			  	a_toolbar.AddButton( new ToolBarSeparator('sep1') );

			  	a_toolbar.AddButton( new ToolBarButton('approve', '<inp2:m_phrase label="la_ToolTip_Approve" escape="1"/>', function() {
							submit_event('ls','OnMassApprove');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarButton('decline', '<inp2:m_phrase label="la_ToolTip_Decline" escape="1"/>', function() {
							submit_event('ls','OnMassDecline');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarSeparator('sep2') );

			  	a_toolbar.AddButton( new ToolBarButton('view', '<inp2:m_phrase label="la_ToolTip_View" escape="1"/>', function() {
							show_viewmenu(a_toolbar,'view');
						}
				) );

				a_toolbar.Render();

			</script>
		</td>

		<inp2:m_RenderElement name="search_main_toolbar" prefix="ls" grid="Default"/>
	</tr>
</tbody>
</table>

<inp2:m_DefineElement name="duration_td">
	<inp2:ls_Field name="Duration" />&nbsp;<inp2:ls_Field name="DurationType" />
</inp2:m_DefineElement>

<inp2:m_DefineElement name="listing_type_td">
	<a href="<inp2:ListingTypeLink edit_template="in-link/paid_listings/paid_listing_type_edit" />"><inp2:Field name="$field" /></a>
</inp2:m_DefineElement>

<inp2:m_DefineElement name="link_td">
	<a href="<inp2:LinkEditLink edit_template="in-link/links/links_edit"/>"><inp2:Field name="$field" /></a>
</inp2:m_DefineElement>

<inp2:m_RenderElement name="grid" PrefixSpecial="ls" IdField="ListingId" grid="Default"/>
<script type="text/javascript">
	Grids['ls'].SetDependantToolbarButtons( new Array('edit','delete','approve','decline') );
</script>

<inp2:m_include t="incs/footer"/>